Get skill by ID
GET /v1/skills/{skill_id}
GET
/v1/skills/{skill_id}
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” skill_id
required
string
Skill ID (prefixed, e.g., skill_…)
Responses
Section titled “ Responses ”Skill found
Wrapper that adds self_url and view_url to a serialized resource.
Uses self_url (not url) for the API link to avoid collision with
resources that already have a url field (e.g. McpServer).
object
allowed_tools
string | null
archived_at
string | null format: date-time
compatibility
string | null
created_at
required
string format: date-time
deleted_at
string | null format: date-time
description
required
string
Example
Extract text and tables from PDF files. disable_model_invocation
Whether the model is prevented from auto-invoking this skill
boolean
id
required
string
Example
skill_01933b5a00007000800000000000001 license
string | null
metadata
object
key
additional properties
name
required
string
Example
pdf-processing source_type
required
Skill source type
string
status
required
Skill lifecycle status
string
updated_at
required
string format: date-time
user_invocable
Whether this skill appears as a /slash command for users
boolean
version
required
string
self_url
required
Full API endpoint URL for this resource.
string
view_url
required
Full UI URL for viewing this resource.
string
Skill not found